<?php

$n = trim(fgets(STDIN));
$data = trim(fgets(STDIN));
$data = explode(" ", $data);

$sum = 0;
$list = [];
foreach($data as $info) {
    $list[$info] = true;
    $sum += $info;
}

echo ($sum / count($list)) * 2;